//
//  SettingsItem+Properties.swift
//  Piper ~ App
//
//  Created by Javier Cicchelli on 13/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import SwiftUI

extension SettingsItem {
    
    // MARK: Computed
    
    var icon: String {
        switch self {
        case .repositories: "folder"
        }
    }
    
    var title: LocalizedStringKey {
        switch self {
        case .repositories: "settings.tab-bar.repositories.text"
        }
    }
    
}
