//
//  EmptyDataModifier.swift
//  Piper ~ App
//
//  Created by Javier Cicchelli on 13/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import SwiftData
import SwiftUI

struct EmptyDataModifier: PreviewModifier {

    // MARK: Functions
    
    static func makeSharedContext() async throws -> ModelContainer {
        ModelContainer.preview
    }
    
    func body(
        content: Content,
        context: ModelContainer
    ) -> some View {
        content.modelContainer(context)
    }
    
}
